# $Revision: 1.18 $, $Date: 2012/01/14 20:16:47 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Language
%define		pnam	Functional
Summary:	Language::Functional - makes Perl slightly more functional
Summary(pl.UTF-8):	Language::Functional - uczynienie Perla nieco bardziej funkcyjnym
Name:		perl-Language-Functional
Version:	0.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	59c81abfd14c940f47115f19dc6288c2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl already contains some functional-like functions, such as `map'
and `grep'. The purpose of this module is to add other functional-like
functions to Perl, such as foldl and foldr, as well as the use of
infinite lists.

%description -l pl.UTF-8
Perl ma zawiera trochę funkcji w stylu funkcyjnym, takich jak map czy
grep. Celem tego modułu jest dodanie większej liczby takich funkcji,
jak na przykład foldl i foldr, a także użycia nieskończonych list.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Language/Functional.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Language-Functional.spec,v $
Revision 1.18  2012/01/14 20:16:47  zbyniu
- up to 0.05

Revision 1.17  2009/09/16 11:05:42  amateja
- updated to 0.04

Revision 1.16  2008/07/27 22:39:00  arekm
- release 4

Revision 1.15  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.13  2004/11/03 22:30:29  paladine
- formatting

Revision 1.12  2004/05/07 01:09:21  ankry
- rel. 3

Revision 1.11  2004/05/06 18:20:25  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/22 15:01:17  ankry
- license fixes and unification

Revision 1.9  2004/04/14 20:54:13  ankry
- cosmetics, unification

Revision 1.8  2003/08/18 08:08:54  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:45  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 19:37:34  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:40:13  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:35:14  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/13 23:13:46  qboosh
- new

